#ifndef __SSBASE_H
#define __SSBASE_H
// ssapp.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CSSApp thread

class AFX_EXT_CLASS CSSApp : public CWinApp
{
	DECLARE_DYNCREATE(CSSApp)
protected:
	CSSApp();           // protected constructor used by dynamic creation

// Attributes
public:
	BOOL MatchOption(LPTSTR lpsz, LPTSTR lpszOption);
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSSApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL
	virtual BOOL DoConfig(void);
	virtual BOOL DoSmall(void);
	virtual BOOL DoFull(void);
// Implementation
protected:
	virtual ~CSSApp();

	// Generated message map functions
	//{{AFX_MSG(CSSApp)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/*
below is the code:
BOOL CSSApp::DoConfig(void)
{
	return FALSE;
}
BOOL CSSApp::DoSmall(void)
{
	CWnd* pParent = CWnd::FromHandle((HWND)atol(__argv[2]));
	ASSERT(pParent != NULL);
	CSmallWnd* pWnd = new CSmallWnd();
	if(pWnd->CreateAsShow(pParent))
	{
		m_pMainWnd = pWnd;
		return TRUE;
	}
		return FALSE;
}
BOOL CSSApp::DoFull(void)
{
	CFullWnd* pWnd = new CFullWnd;
	if(pWnd->CreateAsTop())
	{
		m_pMainWnd = pWnd;
		return TRUE;
	}
	else
		return FALSE;
}
*/

/////////////////////////////////////////////////////////////////////////////
// ssWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSmallWnd window
/*
in the construct of the wnd class
you need init the m_uTimeTick and m_brBk;

 1.if you don't need timer you set m_uTimeTick=0
else set to the interval of timer

2.if you need the background be transparent
set m_brBk=NULL
else set to the needed brush handle
3.set all data in ON_CREATE
*/
class AFX_EXT_CLASS CSmallWnd : public CWnd
{
// Construction
public:
	CSmallWnd();
	virtual BOOL CreateAsShow(CWnd* pParent);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSmallWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSmallWnd();
	UINT m_uTimeTick;
	HBRUSH m_brBk;

	// Generated message map functions
protected:
	//{{AFX_MSG(CSmallWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CFullWnd window

class AFX_EXT_CLASS CFullWnd : public CWnd
{
// Construction
public:
	CFullWnd();
	virtual BOOL CreateAsTop(void);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFullWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFullWnd();
	int m_iWidthScreen,m_iHeightScreen;
	CPoint m_ptLast;
	UINT m_uTimeTick;
	HBRUSH m_brBk;
	BOOL m_fCanQuit;
	// Generated message map functions
protected:
	//{{AFX_MSG(CFullWnd)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSysKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnMButtonDown(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif